Subject: Re: linux-next: manual merge of the staging tree with Linus' tree

From: Greg KH <[email-masked]>
Date: Tue, 14 Feb 2012 14:37:58 -0800

On Tue, Feb 14, 2012 at 03:31:39PM -0600, Ramirez Luna, Omar wrote:
> Hi,
> 
> On Thu, Feb 9, 2012 at 11:30 PM, Greg KH <[email-masked]> wrote:
> > On Fri, Feb 10, 2012 at 03:48:06PM +1100, Stephen Rothwell wrote:
> >> Hi Greg,
> >>
> >> Today's linux-next merge of the staging tree got a conflict in
> >> drivers/staging/tidspbridge/rmgr/drv_interface.c between commit
> >> 5a63177a6967 ("staging: tidspbridge: fix bridge_open memory leaks") from
> >> Linus' tree and commit 518761dba127 ("staging: tidspbridge: remove unused
> >> header") from the staging tree.
> >>
> >> I fixed it up (I think - see below) and can carry the fix as necessary.
> >
> > Thanks, I'll try to fix this up with a merge tomorrow to get this in
> > sync.
> 
> 5a63177a6967 ("staging: tidspbridge: fix bridge_open memory leaks")
> was accidentally reverted with the merge of staging-3.3-rc3 on
> staging-next branch, the same patch still applies since the previous
> patch touching this code moves it some lines above.

Ok, so what should I do here?  What patch should I apply to the
staging-next tree?  Just reapply 5a63177a6967?

confused,

greg k-h